{ config
, lib
, pkgs
, ...
}: {
  xdg.enable = true;

  # TODO
  # remove once stuff is fixed ???
  # gets rid of annoying warning that shouldn't apply to my setup
  # ref: https://github.com/danth/stylix/issues/865
  nixpkgs.overlays = lib.mkForce null;

  stylix = {
    overlays.enable = false; # Should be set by the nixosConfiguration and causes useGlobalPkgs error
    targets = {
      alacritty.enable = true;
      bat.enable = true;
      btop.enable = true;
      firefox.enable = true;
      firefox.profileNames = [ "default" ];
      fish.enable = true;
      fzf.enable = true;
      gtk.enable = true;
      kde.enable = true; # ??
      ncspot.enable = true;
      neovim.enable = true;
      zellij.enable = true;
    };
  };
}
